'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _parseGithubRepoUrl = require('parse-github-repo-url');

var _parseGithubRepoUrl2 = _interopRequireDefault(_parseGithubRepoUrl);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getGithubRepo(githubUrl) {
    const result = (0, _parseGithubRepoUrl2.default)(githubUrl);

    if (!result) {
        throw new Error(`Invalid GitHub URI ${githubUrl}`);
    }

    return `${result[0]}/${result[1]}`;
}

exports.default = getGithubRepo;